Get template preview (public)
curl --request GET \
--url https://api.emailr.dev/preview/{template_id}import requests
url = "https://api.emailr.dev/preview/{template_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.emailr.dev/preview/{template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<html><body><h1>Welcome</h1></body></html>"{
"error": "Template not found",
"code": "template_not_found"
}templates
Get template preview (public)
Get the preview HTML for a template. This is a public route that does not require authentication, designed for AI agents to view template previews.
GET
/
preview
/
{template_id}
Get template preview (public)
Path Parameters
The template ID to fetch the preview for
Example:
"123e4567-e89b-12d3-a456-426614174000"
Response
Preview HTML content
The response is of type string.
Example:
"<html><body><h1>Welcome</h1></body></html>"
⌘I